package doctor.system.api.domain;

import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @ClassName : UserVideoCollection
 * @Description : 用户视频收藏表
 * @Author : FJJ
 * @Date: 2024-01-10 14:28
 */

public class UserVideoCollection {
    private Integer id;
    private Integer userId;
    private Integer videoId;
    private Long createTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getVideoId() {
        return videoId;
    }

    public void setVideoId(Integer videoId) {
        this.videoId = videoId;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public UserVideoCollection(Integer id, Integer userId, Integer videoId, Long createTime) {
        this.id = id;
        this.userId = userId;
        this.videoId = videoId;
        this.createTime = createTime;
    }

    public UserVideoCollection() {
    }
}
