package doctor.domain.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.domain.vo
 * @Author: jpz
 * @CreateTime: 2024/1/12 15:40
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DiseaseKnowledgeVo {
    private Integer id;
    private String pathology;
    private String symptom;
    private String benefitTaboo;
    private String chineseMedicineTreatment;
    private String westernMedicineTreatment;

}
