package doctor.mapper;

import doctor.domain.entity.DiseaseKnowledge;
import doctor.domain.entity.DrugsCategory;
import doctor.domain.entity.Information;
import doctor.domain.entity.InformationPlate;
import org.mybatis.spring.annotation.MapperScan;

import java.util.List;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.mapper
 * @Author: jpz
 * @CreateTime: 2024/1/10 21:42
 */
@MapperScan
public interface DiseaseKnowledgeMapper {
    List<DiseaseKnowledge> findDiseaseKnowledge(Integer diseaseCategoryId);

    List<DrugsCategory> findDrugsCategoryList();

    List<DrugsCategory> findDrugsKnowledgeList(Integer drugsCategoryId);


}
