package doctor.service.impl;

import doctor.domain.entity.Information;
import doctor.domain.entity.InformationPlate;
import doctor.mapper.InformationMapper;
import doctor.service.InformationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.service.impl
 * @Author: jpz
 * @CreateTime: 2024/1/11 16:21
 */
@Service
public class InformationServiceimpl implements InformationService {
    @Autowired
    private InformationMapper informationMapper;

    @Override
    public List<Information> findInformationList(Integer plateId) {
        return informationMapper.findInformationList(plateId);
    }

    @Override
    public List<InformationPlate> findInformationPlateList() {
        return informationMapper.findInformationPlateList();
    }
}
