package doctor.service.impl;

import doctor.domain.entity.InquiryDetailsRecordEntity;
import doctor.domain.vo.InquiryDetailsRecordVo;
import doctor.mapper.InquiryMapper;
import doctor.service.InquiryService;
import doctor.util.ConvertUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassName : InquiryServiceImpl
 * @Description :
 * @Author : FJJ
 * @Date: 2024-01-12 19:19
 */
@Service
public class InquiryServiceImpl implements InquiryService {
    @Autowired
    private InquiryMapper inquiryMapper;
    @Override
    public List<InquiryDetailsRecordVo> findHistoryInquiryRecord() {
        List<InquiryDetailsRecordEntity> inquiryDetailsRecordEntity = inquiryMapper.findHistoryInquiryRecord();
        List<InquiryDetailsRecordVo> inquiryDetailsRecordVos = ConvertUtil.entityToVoList(inquiryDetailsRecordEntity, InquiryDetailsRecordVo.class);
        return inquiryDetailsRecordVos;
    }
}
