package doctor.service.impl;

import doctor.domain.entity.UserSickCircleEntity;
import doctor.domain.vo.UserSickCircleVo;
import doctor.mapper.UserSickCircleMapper;
import doctor.mapper.UserVideoMapper;
import doctor.service.UserSickCircleService;
import doctor.util.ConvertUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassName : UserSickCircleServiceImpl
 * @Description :
 * @Author : FJJ
 * @Date: 2024-01-16 22:10
 */
@Service
public class UserSickCircleServiceImpl implements UserSickCircleService {
    @Autowired
    private UserSickCircleMapper userSickCircleMapper;
    @Override
    public List<UserSickCircleVo> findMySickCircleList() {
        List<UserSickCircleEntity> userSickCircleEntityList=userSickCircleMapper.findUserSickCircleList();
        List<UserSickCircleVo> userSickCircleVoList = ConvertUtil.entityToVoList(userSickCircleEntityList, UserSickCircleVo.class);
        return userSickCircleVoList;
    }
}
