package doctor.system.api.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
@Data
public class Doctor {
    private Integer id;
    private Integer departmentId;
    private String email;
    private String userName;
    private Integer reviewStatus;
    private String phone;
    private String pwd;
    private String name;
    private String imagePic;
    private String jobTitle;
    private String inauguralHospital;
    private String personalProfile;
    private String goodField;

    private Department department;

    public Department getDepartment() {
        return department;
    }

    public void setDepartment(Department department) {
        this.department = department;
    }

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createTime;

}
