package doctor.system.api.domain;

import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @ClassName : Video
 * @Description : 健康课堂视频表
 * @Author : FJJ
 * @Date: 2024-01-10 15:59
 */
public class Video {
    private Integer id;
    private String title;
    private Integer categoryId;
    private String shearUrl;
    private String abstracts;
    private String originalUrl;
    private Integer duration;
    private Integer price;
    private Long createTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Integer getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Integer categoryId) {
        this.categoryId = categoryId;
    }

    public String getShearUrl() {
        return shearUrl;
    }

    public void setShearUrl(String shearUrl) {
        this.shearUrl = shearUrl;
    }

    public String getAbstracts() {
        return abstracts;
    }

    public void setAbstracts(String abstracts) {
        this.abstracts = abstracts;
    }

    public String getOriginalUrl() {
        return originalUrl;
    }

    public void setOriginalUrl(String originalUrl) {
        this.originalUrl = originalUrl;
    }

    public Integer getDuration() {
        return duration;
    }

    public void setDuration(Integer duration) {
        this.duration = duration;
    }

    public Integer getPrice() {
        return price;
    }

    public void setPrice(Integer price) {
        this.price = price;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Video(Integer id, String title, Integer categoryId, String shearUrl, String abstracts, String originalUrl, Integer duration, Integer price, Long createTime) {
        this.id = id;
        this.title = title;
        this.categoryId = categoryId;
        this.shearUrl = shearUrl;
        this.abstracts = abstracts;
        this.originalUrl = originalUrl;
        this.duration = duration;
        this.price = price;
        this.createTime = createTime;
    }

    public Video() {
    }
}
