package doctor.domain.entity;

import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @ClassName : InquiryDetailsRecordEntity
 * @Description : 查询详情记录表
 * @Author : FJJ
 * @Date: 2024-01-12 17:26
 */
public class InquiryDetailsRecordEntity {
    private Integer id;
    private Integer inquiryId;
    private Integer userId;
    private Integer friendId;
    private String askContent;
    private String askImage;
    private String voiceChat;
    private Integer direction;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date askTime;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getInquiryId() {
        return inquiryId;
    }

    public void setInquiryId(Integer inquiryId) {
        this.inquiryId = inquiryId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getFriendId() {
        return friendId;
    }

    public void setFriendId(Integer friendId) {
        this.friendId = friendId;
    }

    public String getAskContent() {
        return askContent;
    }

    public void setAskContent(String askContent) {
        this.askContent = askContent;
    }

    public String getAskImage() {
        return askImage;
    }

    public void setAskImage(String askImage) {
        this.askImage = askImage;
    }

    public String getVoiceChat() {
        return voiceChat;
    }

    public void setVoiceChat(String voiceChat) {
        this.voiceChat = voiceChat;
    }

    public Integer getDirection() {
        return direction;
    }

    public void setDirection(Integer direction) {
        this.direction = direction;
    }

    public Date getAskTime() {
        return askTime;
    }

    public void setAskTime(Date askTime) {
        this.askTime = askTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
