package doctor.domain.entity;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.entity
 * @Author: jpz
 * @CreateTime: 2024/1/8 21:37
 */

public class UserArchivesEntity {
    private Integer id;
    private Integer userId;
    private String diseaseMain;
    private String diseaseNow;
    private String diseaseBefore;
    private String treatmentHospitalRecent;
    private String treatmentProcess;
    private String treatmentStartTime;

    private String treatmentEndTime;
    private String picture;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date updateTime;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date createTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getDiseaseMain() {
        return diseaseMain;
    }

    public void setDiseaseMain(String diseaseMain) {
        this.diseaseMain = diseaseMain;
    }

    public String getDiseaseNow() {
        return diseaseNow;
    }

    public void setDiseaseNow(String diseaseNow) {
        this.diseaseNow = diseaseNow;
    }

    public String getDiseaseBefore() {
        return diseaseBefore;
    }

    public void setDiseaseBefore(String diseaseBefore) {
        this.diseaseBefore = diseaseBefore;
    }

    public String getTreatmentHospitalRecent() {
        return treatmentHospitalRecent;
    }

    public void setTreatmentHospitalRecent(String treatmentHospitalRecent) {
        this.treatmentHospitalRecent = treatmentHospitalRecent;
    }

    public String getTreatmentProcess() {
        return treatmentProcess;
    }

    public void setTreatmentProcess(String treatmentProcess) {
        this.treatmentProcess = treatmentProcess;
    }

    public String getTreatmentStartTime() {
        return treatmentStartTime;
    }

    public void setTreatmentStartTime(String treatmentStartTime) {
        this.treatmentStartTime = treatmentStartTime;
    }

    public String getTreatmentEndTime() {
        return treatmentEndTime;
    }

    public void setTreatmentEndTime(String treatmentEndTime) {
        this.treatmentEndTime = treatmentEndTime;
    }

    public String getPicture() {
        return picture;
    }

    public void setPicture(String picture) {
        this.picture = picture;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
