package doctor.domain.entity;

/**
 * @ClassName : VideoEntity
 * @Description : 健康课堂视频表
 * @Author : FJJ
 * @Date: 2024-01-10 15:59
 */
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class VideoEntity {
    private Integer id;
    private String title;
    private Integer categoryId;
    private String shearUrl;
    private String abstracts;
    private String originalUrl;
    private Integer duration;
    private Integer price;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;
}
