package doctor.mapper;

import doctor.system.api.domain.Department;
import doctor.system.api.domain.Doctor;
import doctor.system.api.domain.User;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface DoctorUserMapper {
    User selectUserByEmail(@Param("email") String email);

    Doctor selectDoctorByEmail(String email);

    Department findDepartmentByDoctorDepartmentId(Integer departmentId);
}
