package doctor.mapper;

import doctor.domain.entity.DoctorIncomeRecordEntity;
import doctor.domain.entity.DoctorJobTitleEntity;
import doctor.domain.entity.DoctorWalletEntity;
import doctor.domain.entity.doctorSystemNoticeEntity;
import doctor.system.api.domain.Department;
import doctor.system.api.domain.Doctor;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface HealthJobTitleMapper {
    List<DoctorJobTitleEntity> findJobTitleList();

    void insertDoctor(Doctor doctor);

    Doctor findDoctorById(Integer id);

    Department findDepartmentById(Integer departmentId);

    DoctorJobTitleEntity findDoctorJobTitleById(Integer id);

    List<String> findDoctorImgPic();

    void updDoctorImgPicBuyId(@Param("doctorId") Integer doctorId, @Param("s") String s);

    DoctorWalletEntity findDoctorWalletById(Integer doctorId);

    List<DoctorIncomeRecordEntity> findDoctorIncomeRecordList(Integer doctorId);

    List<doctorSystemNoticeEntity> findDoctorNoticeReadNum(Integer doctorId);
}
