package doctor.service;

import doctor.domain.entity.DiseaseKnowledge;
import doctor.domain.entity.DrugsCategory;

import java.util.List;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.service
 * @Author: jpz
 * @CreateTime: 2024/1/10 21:40
 */
public interface DiseaseKnowledgeService {
    List<DiseaseKnowledge> findDiseaseKnowledge(Integer diseaseCategoryId);

    List<DrugsCategory> findDrugsCategoryList();

    List<DrugsCategory> findDrugsKnowledgeList(Integer drugsCategoryId);


}
