package doctor.service;

import doctor.domain.dto.UserArchivesDto;
import doctor.domain.entity.UserAdoptCommentEntity;
import doctor.domain.entity.UserArchivesEntity;
import doctor.domain.entity.UserEntity;
import doctor.domain.entity.UserWalletEntity;
import doctor.domain.vo.*;

import java.util.List;

/**
 * @ClassName : UserVideoService
 * @Description :
 * @Author : FJJ
 * @Date: 2024-01-10 14:33
 */
public interface UserVideoService {




    List<UserVideoBuyVo> findUserVideoBuyList();

    void deleteVideoBuy(Integer videoId);

    List<UserWalletEntity> findUserWallet();

    List<UserVideoCollectionVo> findVideoCollectionList(Integer userId);

    void cancelVideoCollection(Integer userId, String sessionId, Integer videoId);

    List<UserConsumptionRecordVo> findUserConsumptionRecordList();

    List<UserEntity> whetherSignToday(Integer userId);

    List<UserInfoCollectionVo> findUserInfoCollectionList();

    List<UserAdoptCommentVo> findMyAdoptedCommentList();

    List<UserArchivesVo> findUserArchives(Integer userId);

    void addUserArchives(UserArchivesEntity userArchivesEntity, Integer userId);

    void uploadUserArchivesImg(Integer id);

}
