package doctor.service.impl;

import doctor.domain.entity.Department;
import doctor.mapper.DepartmentMapper;
import doctor.service.DepartmentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.service.impl
 * @Author: jpz
 * @CreateTime: 2024/1/10 16:53
 */
@Service
public class DepartmentServiceimpl implements DepartmentService {
    @Autowired
    private DepartmentMapper departmentMapper;
    @Override
    public List<Department> findDepartment() {
        return departmentMapper.list();
    }
}
