package doctor.service.impl;

import doctor.domain.entity.DiseaseCategory;
import doctor.mapper.DiseaseCategoryMapper;
import doctor.service.DiseaseCategoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.service.impl
 * @Author: jpz
 * @CreateTime: 2024/1/10 20:21
 */
@Service
public class DiseaseCategoryServiceimpl implements DiseaseCategoryService {
    @Autowired
    private DiseaseCategoryMapper diseaseCategoryMapper;

    @Override
    public List<DiseaseCategory> findDiseaseCategory(Integer departmentId) {
        return diseaseCategoryMapper.list(departmentId);
    }
}
