package doctor.service.impl;

import doctor.domain.entity.DiseaseKnowledge;
import doctor.domain.entity.DrugsCategory;
import doctor.mapper.DiseaseKnowledgeMapper;
import doctor.service.DiseaseKnowledgeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.service.impl
 * @Author: jpz
 * @CreateTime: 2024/1/10 21:40
 */
@Service
public class DiseaseKnowledgeServiceimpl implements DiseaseKnowledgeService {
    @Autowired
    private DiseaseKnowledgeMapper diseaseKnowledgeMapper;
    @Override
    public List<DiseaseKnowledge> findDiseaseKnowledge(Integer diseaseCategoryId) {
        return diseaseKnowledgeMapper.findDiseaseKnowledge(diseaseCategoryId);
    }

    @Override
    public List<DrugsCategory> findDrugsCategoryList() {
        return diseaseKnowledgeMapper.findDrugsCategoryList();
    }

    @Override
    public List<DrugsCategory> findDrugsKnowledgeList(Integer drugsCategoryId) {
        return diseaseKnowledgeMapper.findDrugsKnowledgeList(drugsCategoryId);
    }


}
