package doctor.service.impl;

import doctor.domain.entity.DepartmentEntity;
import doctor.mapper.HealthDepartmentMapper;
import doctor.service.HealthDepartmentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class HealthDepartmentServiceImpl implements HealthDepartmentService {
    @Autowired
    private HealthDepartmentMapper healthV1Mapper;

    @Override
    public List<DepartmentEntity> findDepartment() {
        return healthV1Mapper.findDepartments();
    }
}
