package doctor.service.impl;

import doctor.common.core.web.controller.BaseController;
import doctor.domain.vo.InquiryRecordVo;
import doctor.mapper.InquiryVerifyServiceMapper;
import doctor.service.InquiryVerifyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class InquiryVerifyServiceImpl extends BaseController implements InquiryVerifyService {
    @Autowired
    private InquiryVerifyServiceMapper inquiryVerifyServiceMapper;

    @Override
    public List<InquiryRecordVo> findInquiryRecordList() {
        return inquiryVerifyServiceMapper.findInquiryRecordList();
    }
}
